# Endpoints

## Ticket API endpoints list

### Authorization

* [Get access token v2](/docs/apis/tickets/reference/endpoints/access-token-v2.md)

### Categories

* [Get Category By Id](/docs/apis/tickets/reference/endpoints/get-category-by-id.md)
* [Get Full Community Category List](/docs/apis/tickets/reference/endpoints/get-community-category-list.md)
* [Get Subcategories by Parent Id](/docs/apis/tickets/reference/endpoints/get-subcategories-by-parent-id.md)

### Custom Fields

* [Add Custom Field](/docs/apis/tickets/reference/endpoints/add-custom-field.md)
* [Delete Custom Field](/docs/apis/tickets/reference/endpoints/delete-custom-field.md)
* [Get Custom Field](/docs/apis/tickets/reference/endpoints/get-custom-field.md)
* [Get Full Community Custom Field List](/docs/apis/tickets/reference/endpoints/get-community-custom-fields.md)
* [Update Custom Field](/docs/apis/tickets/reference/endpoints/update-custom-field.md)

### Notes

* [Add Note to Ticket](/docs/apis/tickets/reference/endpoints/add-note-to-ticket.md)
* [Update Note](/docs/apis/tickets/reference/endpoints/update-note.md)
* [Delete Note](/docs/apis/tickets/reference/endpoints/delete-note.md)

### Tags

* [List tags](/docs/apis/tickets/reference/endpoints/list-tags.md)

### Tickets

* [Create Ticket](/docs/apis/tickets/reference/endpoints/create-ticket.md)
* [Get Ticket by Id](/docs/apis/tickets/reference/endpoints/get-ticket-by-id.md)
* [Get Ticket Log](/docs/apis/tickets/reference/endpoints/get-ticket-log.md)
* [List Tickets](/docs/apis/tickets/reference/endpoints/list-tickets.md)
* [List Ticket Ids By Field Ids](/docs/apis/tickets/reference/endpoints/list-ticket-ids-by-field-ids.md)
* [Replace Ticket Tags](/docs/apis/tickets/reference/endpoints/replace-ticket-tags.md)
* [Update Ticket Assignee](/docs/apis/tickets/reference/endpoints/update-ticket-assignee.md)
* [Update Ticket Category](/docs/apis/tickets/reference/endpoints/update-ticket-category.md)
* [Update Ticket Custom Field Value](/docs/apis/tickets/reference/endpoints/update-ticket-custom-field-value.md)
* [Update Ticket Status](/docs/apis/tickets/reference/endpoints/update-ticket-status.md)

### Ticket replies

* [Create Reply](/docs/apis/tickets/reference/endpoints/create-reply.md)
* [List Replies](/docs/apis/tickets/reference/endpoints/list-replies.md)
* [Replace Reply Tags](/docs/apis/tickets/reference/endpoints/replace-reply-tags.md)

### Teammates

* [Get All Teammates](/docs/apis/tickets/reference/endpoints/get-all-teammates.md)

### Widgets

* [Get Widget Schedule List](/docs/apis/tickets/reference/endpoints/get-widget-schedule-list.md)

### User Groups

* [Get All User Groups for Community](/docs/apis/tickets/reference/endpoints/get-all-community-user-groups.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developers.socialboards.com/docs/apis/tickets/reference/endpoints.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
